import request from '@/utils/request'

//获取支付选项列表
export function payList(query) {
  return request({
    url: '/mall-integral/pays/page',
    method: 'get',
    params: query
  })
}

//获取微信支付二维码
export function getWxPayCode(data) {
    return request({
      url: '/wxPay/getPayUrl',
      method: 'post',
      data
    })
  }

  //查询微信支付状态
export function queryWxPayStatus(data) {
    return request({
      url: '/wxPay/getOrderResult',
      method: 'post',
      data
    })
  }